Skip to content

List sequence references

GET https://api.moalmanac.org/sequence_references

Retrieves Sequence References from the database.

Parameters

Name Type Description Example
sequence_reference_id string Return only the sequence reference with this id.

Example request

curl "https://api.moalmanac.org/sequence_references"

Response

Returns the standard response envelope, with data set to a list of SequenceReference records.

Example response
{
  "meta": {
    "data_length": 1,
    "message": "Sequence references retrieved successfully",
    "request_url": "https://api.moalmanac.org/sequence_references",
    "status": "success",
    "status_code": 200,
    "timestamp_elapsed": 0.012345,
    "timestamp_received": "2026-10-16T14:03:12.123456Z",
    "timestamp_returned": "2026-10-16T14:03:12.135801Z",
    "trace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  },
  "service": {
    "github": "https://github.com/vanallenlab/moalmanac-db",
    "name": "Molecular Oncology Almanac",
    "license": "GPL-2.0",
    "release": "draft",
    "url": "https://moalmanac.org",
    "last_updated": "2026-10-08"
  },
  "data": [
    {
      "id": "ga4gh:SQ.cQvw4UsHHRRlogxbWCB8W-mKD4AraM9y",
      "type": "SequenceReference",
      "name": "NP_004324.2",
      "aliases": [
        "ensembl:ENSP00000288602.6",
        "ga4gh:SQ.cQvw4UsHHRRlogxbWCB8W-mKD4AraM9y",
        "refseq:NP_004324.2"
      ],
      "description": "The protein product of the MANE Select coding transcript for BRAF (refseq:NM_004333.6), corresponding to the Refseq protein accession NP_004324.2.",
      "moleculeType": "protein",
      "refgetAccession": "SQ.cQvw4UsHHRRlogxbWCB8W-mKD4AraM9y",
      "residueAlphabet": "aa"
    }
  ]
}